package org.apache.commons.lang3.time;

package .tmp;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class TwelveHourField implements FastDatePrinter.NumberRule {
  private final FastDatePrinter.NumberRule mRule;
  
  TwelveHourField(FastDatePrinter.NumberRule rule) {
    this.mRule = rule;
  }
  
  public int estimateLength() {
    return this.mRule.estimateLength();
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    int value = calendar.get(10);
    if (value == 0)
      value = calendar.getLeastMaximum(10) + 1; 
    this.mRule.appendTo(buffer, value);
  }
  
  public void appendTo(Appendable buffer, int value) throws IOException {
    this.mRule.appendTo(buffer, value);
  }
}
